# Uses of Class
org.springframework.aot.generate.AccessControl

Packages that use AccessControl
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of AccessControl in org.springframework.aot.generate

Methods in org.springframework.aot.generate that return AccessControl
Modifier and Type
Method
Description
`static AccessControl`
AccessControl.`forClass(Class<?> type)`
Create an `AccessControl` for the given `Class`.
`static AccessControl`
AccessControl.`forMember(Member member)`
Create an `AccessControl` for the given member.
`static AccessControl`
AccessControl.`forResolvableType(ResolvableType resolvableType)`
Create an `AccessControl` for the given `ResolvableType`.
`static AccessControl`
AccessControl.`lowest(AccessControl... candidates)`
Returns the lowest `AccessControl` from the given candidates.
Methods in org.springframework.aot.generate with parameters of type AccessControl
Modifier and Type
Method
Description
`static AccessControl`
AccessControl.`lowest(AccessControl... candidates)`
Returns the lowest `AccessControl` from the given candidates.